:root
{
	--homeers-blue: #0060bd;
	--link-color: #666;
	--nav-back-color: #eee;
}

html, body
{
	height: 100%;
}

p
{
	text-align: justify;
}

.half-width
{
	width: 50% !important;
}

.two-thirds-width
{
	width: 66% !important;
	max-width: 350px !important;
}

nav
{
	background-color: var(--nav-back-color);
	width: 100%;
	padding-right: 30px;
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	align-items: center;
}

nav ul
{
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	list-style-type: none;
	padding: 0;
	margin: 0;
}

nav ul ul li
{
	margin-left: 20px;
	margin-right: 20px;
}

.homeers-blue-links a
{
	color: var(--link-color);
	text-decoration: none;
}

.homeers-blue-links a:hover
{
	color: var(--homeers-blue) !important;
}

.auth-container
{
	height: 100%;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.auth-container > div
{
	width: 350px;
}

.profile-container
{
	width: 100%;
	height: 100%;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.profile-container > div
{
	width: 500px;
}

.profile-button
{
	display: flex;
	justify-content: center;
	align-items: center;
	border: solid 3px var(--link-color);
	border-radius: 100%;
	width: 40px;
	height: 40px;
	font-size: x-large;
	background-color: var(--nav-back-color);
	border-color: var(--link-color);
	color: var(--link-color);
}

.profile-button:hover
{
	background-color: var(--homeers-blue);
	border-color: var(--homeers-blue);
	color: var(--nav-back-color);
}

.profile-button-active
{
	display: flex;
	justify-content: center;
	align-items: center;
	border: solid 3px var(--link-color);
	border-radius: 100%;
	width: 40px;
	height: 40px;
	font-size: x-large;
	background-color: var(--homeers-blue);
	border-color: var(--homeers-blue);
	color: var(--nav-back-color);
}

.nav-toggle-button
{
	display: none;
	width: 60px;
	height: 60px;
	border: none;
	background-color: var(--nav-back-color);
	color: var(--link-color);
}

.nav-toggle-button:hover
{
	color: var(--homeers-blue) !important;
}

.offcanvas-header
{
	color: var(--nav-back-color);
	background-color: var(--homeers-blue);
	justify-content: space-between;
}

.offcanvas-header h2
{
	margin-bottom: 0px;
}

.btn-close
{
	margin-bottom: 4px;
}

.offcanvas-menu
{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.offcanvas-menu li
{
	margin: 20px;
	font-size: larger;
}

.offcanvas-profile
{
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	align-items: stretch;
	padding-top: 20px;
}

.offcanvas-profile h2
{
	align-self: center;
}

@media only screen and (max-width: 500px)
{
	nav ul li ul
	{
		display: none;
	}

	.nav-toggle-button
	{
		display: inline-block;
	}
}

@media only screen and (max-width: 390px)
{
	.auth-container
	{
		justify-content: flex-start;
	}
	
	.auth-container > div
	{
		width: 100%;
	}
}

@media only screen and (max-width: 540px)
{
	.profile-container
	{
		justify-content: flex-start;
	}
	
	.profile-container > div
	{
		width: 100%;
	}
}